HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

List Events

This API endpoint retrieves a list of Network Events, based on the query parameters provided. Each Event in the returned list includes details like event name, category, source type, severity, etc. The query parameters allow you to narrow down the results that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

Type of context (SITE, ACCESS_POINT, SWITCH, GATEWAY, WIRELESS_CLIENT, WIRED_CLIENT, BRIDGE).

Allowed:
string
required
length ≤ 128

Context Identifier (site ID, device serial number or client MAC address).

date-time
required
length ≤ 30

Data is required starting from this timestamp, provided in RFC 3339 (and ISO 8601) format in the UTC timezone with milliseconds. The difference between end-at and start-at should be less than 30 days.

date-time
required
length ≤ 30

Data is required up to this timestamp, provided in RFC 3339 (and ISO 8601) format in the UTC timezone with milliseconds. The timestamp must be earlier than the current time and later than the start-at.

string
required
length ≤ 128

Site ID to filter the event details for a specific site.

string
length ≤ 256

Search events by name, serial number, host name, client MAC address or device MAC address. Full text search is not supported. Search is restricted to the metadata.

string
length ≤ 512

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
eventIdeq and in
categoryeq and in
sourceTypeeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 128

Sort expressions. A sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

If a direction indicator is omitted, the default direction is descending.

Supported fields are

Sort FieldDescription
timestampThe field timestamp denotes event timestamp.
string

Specifies the pagination cursor for the next page of resources. Minimum value is 1.

int64
required
1 to 1000
Defaults to 100

Maximum number of events to be retrieved. Allowed range is 1 to 1000.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json